<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReference2 Method (IEdmEnumeratorCustomReference6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference6 Interface : AddReference2 Method (IEdmEnumeratorCustomReference6)

Visual Basic
C#
C++/CLI

lFileID
  ID of referenced file

lFolderID
  ID of parent folder of referenced file

lQuantity
  Number of times the referenced file is referenced

Obsolete. Superseded by IEdmEnumeratorCustomReference7::AddReference3 .

# Syntax

Visual Basic |
--- | ---

    Sub AddReference2( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer, _
       ByVal lQuantity As System.Integer _
    )

C# |
--- | ---

    void AddReference2(
       System.int lFileID,
       System.int lFolderID,
       System.int lQuantity
    )

C++/CLI |
--- | ---

    void AddReference2(
    &   System.int lFileID,
    &   System.int lFolderID,
    &   System.int lQuantity
    )

#### Parameters

lFileID
  ID of referenced file
lFolderID
  ID of parent folder of referenced file
lQuantity
  Number of times the referenced file is referenced

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_LOCKED_BY_YOU: File is not checked out.

# See Also

####

IEdmEnumeratorCustomReference6 Interface
IEdmEnumeratorCustomReference6 Members

# Availability

SOLIDWORKS PDM Professional 2013